*Step 2: Prediction Modeling*

The EMS incident prediction analysis used statistical regression
analyses to predict the location (by zip code), date, and timing (by
hour of day) of future EMS incidents within the City of New Orleans.
With that approach in mind, within the compiled data set, the location
and temporal attributes functioned as the dependent variables, while the
remaining indicators (e.g., demographics and weather, etc.) functioned
as independent variables in the employed regressions.

In order to test the regression models utilized for this effort, the
models utilized the first chronological half of the data (from September
2013 through September 2015) as “training” data. The regression models
were run on this data subset, and the prediction results were then
compared to the second chronological half of the data (October 2015
through June 2017) to test for accuracy.

Based on the literature review, three statistical regression models were
considered and reviewed for their efficacy in assessing the relationship
between these dependent and independent variables, including the Linear,
Random Forest, and Gradient Boost Regression Tree models, due their
ability to rank the effect of independent variables on dependent
variables for predictive purposes. The results of the modeling using
these regression techniques are indicated below in the “Results”
section. All of these regressions were applied to the data set via
Python statistical analysis packages and modules. The coding for this
exercise can be obtained from the publicly accessible repository linked
in the “References” section.

As indicated in the prediction modeling “Results” section, this
prediction effort was broken down into to separate subsections in order
the achieve EMS incident prediction by hour, described as follows:

1.  *EMS Incident Prediction by Zip Code and Date* – The Random Forest,
    Gradient Boost Regression, and Linear statistical regressions were
    employed to test the predictive power of the identified indicators
    on the number of incidents by zip code and date. The results of the
    statistical regression modeling that showed the strongest regression
    coefficient (i.e., the highest r-squared value) would then be
    utilized for the prediction of EMS incidents by hour.

2.  *EMS Incident Prediction by Date and Hour* – Using the modeling
    results of the first step described above, the number of incidents
    per hour given the date was then assessed utilizing the Random
    Forest and Gradient Boost Regression Tree statistical regression
    models. This was predicted on a citywide basis (i.e., not on the zip
    code later) for the purposes of the optimization prediction
    modeling, explained in more detail below.

The results of these modeling efforts are indicated below in the
“Results” section of this report.